<?xml version="1.0" encoding="utf-8"?>
<!--
**
** Copyright 2009, The Android Open Source Project
**
** Licensed under the Apache License, Version 2.0 (the "License")
** you may not use this file except in compliance with the License.
** You may obtain a copy of the License at
**
**     http://www.apache.org/licenses/LICENSE-2.0
**
** Unless required by applicable law or agreed to in writing, software
** distributed under the License is distributed on an "AS IS" BASIS,
** WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
** See the License for the specific language governing permissions and
** limitations under the License.
*/
-->
<device name="Android">
  <!-- All values are in mA except as noted -->
  <item name="none">0</item>
  <item name="screen.on">76</item> <!-- min brite -->
  <item name="bluetooth.active">89.7</item>
  <item name="bluetooth.on">1.1</item>
  <item name="bluetooth.at">1.1</item> <!-- TBD -->
  <item name="screen.full">312</item> <!-- backlight 16 leds -->
  <item name="wifi.on">0.78</item>
  <item name="wifi.active">343</item>
  <item name="wifi.scan">104</item>
  <item name="dsp.audio">35</item>
  <item name="dsp.video">240</item>
  <item name="radio.active">190</item>
  <item name="gps.on">24</item>
  <item name="battery.capacity">5000</item> <!-- 5000mAh -->
  <item name="radio.scanning">65</item> <!-- TBD -->
  <!-- Current consumed by the radio at different signal strengths, when paging  -->
  <array name="radio.on"> <!-- 1 entry per signal strength bin, TBD -->
    <value>13.0</value>
    <value>10.0</value>
    <value>10.0</value>
    <value>10.0</value>
    <value>10.0</value>
  </array>
  <array name="cpu.clusters.cores">
    <value>6</value> <!-- cluster 0 has cpu0, cpu1, cpu2, cpu3, cpu4, cpu5-->
    <value>2</value> <!-- cluster 1 has cpu6, cpu7 -->
  </array>
  <array name="cpu.core_speeds.cluster0">
    <value>2000000</value> <!-- 2.00 GHz CPU speed -->
    <value>1916000</value> <!-- 1.91 GHz CPU speed -->
    <value>1812000</value> <!-- 1.81 GHz CPU speed -->
    <value>1750000</value> <!-- 1.75 GHz CPU speed -->
    <value>1645000</value> <!-- 1.64 GHz CPU speed -->
    <value>1500000</value> <!-- 1.50 GHz CPU speed -->
    <value>1393000</value> <!-- 1.39 GHz CPU speed -->
    <value>1287000</value> <!-- 1.30 GHz CPU speed -->
    <value>1128000</value> <!-- 1.13 GHz CPU speed -->
    <value>1048000</value> <!-- 1.05 GHz CPU speed -->
    <value>968000</value>  <!-- 968 MHz CPU speed -->
    <value>862000</value>  <!-- 862 MHz CPU speed -->
    <value>756000</value>  <!-- 756 MHz CPU speed -->
    <value>703000</value>  <!-- 703 MHz CPU speed -->
    <value>650000</value>  <!-- 650 MHz CPU speed -->
    <value>500000</value>  <!-- 500 MHz CPU speed -->
  </array>
  <array name="cpu.core_speeds.cluster1">
    <value>2000000</value> <!-- 2.00 GHz CPU speed -->
    <value>1953000</value> <!-- 1.95 GHz CPU speed -->
    <value>1906000</value> <!-- 1.90 GHz CPU speed -->
    <value>1836000</value> <!-- 1.83 GHz CPU speed -->
    <value>1790000</value> <!-- 1.79 GHz CPU speed -->
    <value>1720000</value> <!-- 1.72 GHz CPU speed -->
    <value>1650000</value> <!-- 1.65 GHz CPU speed -->
    <value>1534000</value> <!-- 1.53 GHz CPU speed -->
    <value>1418000</value> <!-- 1.42 GHz CPU speed -->
    <value>1274000</value> <!--1.27 GHz CPU speed -->
    <value>1129000</value> <!--1.13 GHz CPU speed -->
    <value>1042000</value> <!--1.04 GHz CPU speed -->
    <value>985000</value>  <!-- 985 MHz CPU speed -->
    <value>898000</value>  <!-- 898 GHz CPU speed -->
    <value>840000</value>  <!-- 840 MHz CPU speed -->
    <value>725000</value>  <!-- 725 MHz CPU speed -->
  </array>
  <!-- Power consumption in suspend -->
  <item name="cpu.idle">4</item>
  <!-- Power consumption due to wake lock held -->
  <item name="cpu.awake">31</item>
  <!-- Power consumption at different speeds -->
  <array name="cpu.core_power.cluster0">
    <value>398</value>
    <value>373</value>
    <value>342</value>
    <value>307</value>
    <value>281</value>
    <value>251</value>
    <value>214</value>
    <value>187</value>
    <value>163</value>
    <value>131</value>
    <value>107</value>
    <value>94</value>
    <value>86</value>
    <value>75</value>
    <value>68</value>
    <value>55</value>
  </array>
  <array name="cpu.core_power.cluster1">
    <value>303</value>
    <value>276</value>
    <value>243</value>
    <value>224</value>
    <value>194</value>
    <value>157</value>
    <value>140</value>
    <value>124</value>
    <value>99</value>
    <value>90</value>
    <value>80</value>
    <value>69</value>
    <value>60</value>
    <value>55</value>
    <value>50</value>
    <value>44</value>
  </array>
</device>
